Get Principal User Profile

Get Principal User Profile
Get the currently logged in user's profile.

Use this API instead:

  • /cloudapi/vcf/preferences

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member ✔️
Service Account (Whitelisted Client) ✔️
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/am/api/loggedin/user/profile
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns UserProfileResponse of type(s) */*
{
    "defaultOrgId": "string",
    "isFederated": false,
    "linkedUserIdAccount": "string",
    "customerNumber": "string",
    "locale": "string",
    "language": "string",
    "userId": "string",
    "username": "string",
    "acct": "string",
    "email": "string",
    "metadata": {
        "acknowledgeAccountLinkingMessage": 0
    },
    "createdAt": 0,
    "preferredTheme": "string"
}

401

The user is not authorized to use the API.

Returns UserProfileResponse of type(s) */*
{
    "defaultOrgId": "string",
    "isFederated": false,
    "linkedUserIdAccount": "string",
    "customerNumber": "string",
    "locale": "string",
    "language": "string",
    "userId": "string",
    "username": "string",
    "acct": "string",
    "email": "string",
    "metadata": {
        "acknowledgeAccountLinkingMessage": 0
    },
    "createdAt": 0,
    "preferredTheme": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/am/api/loggedin/user/profile